<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>mat2gray</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="ind2rgb.html">&lt;&lt; ind2rgb</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="ntsc2rgb.html">ntsc2rgb &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions</a> &gt; mat2gray</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">mat2gray</h1>
    <p class="refpurpose">Convert matrix to grayscale image</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">G</span><span class="default"> = </span><span class="functionid">mat2gray</span><span class="default">(</span><span class="default">M</span><span class="default">)</span>
<span class="default">G</span><span class="default"> = </span><span class="functionid">mat2gray</span><span class="default">(</span><span class="default">M</span><span class="default">, [</span><span class="default">mmin</span><span class="default">, </span><span class="default">mmax</span><span class="default">])</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">M :</span>
      <dd><p class="para">An matrix/image.</p></dd></dt>
   <dt><span class="term">[mmin, mmax] :</span>
      <dd><p class="para">[mmin, mmax] is the values in M that correspond to 0.0 and 1.0 in G . The elements in M which is lower than mmin will be converted to 0.0 , and greater than mmax will be converted to 1.0 .</p></dd></dt>
   <dt><span class="term">G :</span>
      <dd><p class="para">A double precision matrix/image which data value in the range [0,1].</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">mat2gray(M,[mmin, mmax]) converts the matrix M to the double precision image. The output matrix contains values in the range [0.0, 1.0]. mmin and mmax are the values in M that correspond to 0.0 and 1.0 in the output image.</p>
   <p class="para">When [mmin, mmax] is not specified, minimum and maximum of M are the values in M that correspond to 0.0 and 1.0 in the output image.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">M</span> <span class="scilaboperator">=</span> <span class="scilabopenclose">[</span><span class="scilabnumber">0</span><span class="scilabspecial">:</span><span class="scilabnumber">10</span><span class="scilabdefault">;</span><span class="scilabnumber">0</span><span class="scilabspecial">:</span><span class="scilabnumber">10</span><span class="scilabopenclose">]</span><span class="scilabdefault">;</span>
<span class="scilabid">I</span> <span class="scilaboperator">=</span> <span class="scilabid">mat2gray</span><span class="scilabopenclose">(</span><span class="scilabid">M</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="rgb2gray.html" class="link">rgb2gray</a></li>
   <li class="member"><a href="im2bw.html" class="link">im2bw</a></li>
   <li class="member"><a href="im2uint8.html" class="link">im2uint8</a></li>
   <li class="member"><a href="im2int8.html" class="link">im2int8</a></li>
   <li class="member"><a href="im2uint16.html" class="link">im2uint16</a></li>
   <li class="member"><a href="im2int16.html" class="link">im2int16</a></li>
   <li class="member"><a href="im2int32.html" class="link">im2int32</a></li>
   <li class="member"><a href="im2double.html" class="link">im2double</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Shiqi Yu</li>
   <li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="ind2rgb.html">&lt;&lt; ind2rgb</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="ntsc2rgb.html">ntsc2rgb &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
